Skip to main content
GET
/
fleet
/
routes
Fetch all routes
curl --request GET \
  --url https://api.samsara.com/fleet/routes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "342341",
      "actualRouteEndTime": "2019-06-13T19:08:25Z",
      "actualRouteStartTime": "2019-06-13T19:08:25Z",
      "driver": {
        "id": "45646",
        "externalIds": {},
        "name": "Driver Bob"
      },
      "externalIds": {},
      "name": "Bid 123",
      "notes": "These are my notes",
      "orgLocalTimezone": "America/Los_Angeles",
      "recurringRouteLiveSharingLinks": [
        {
          "liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/gEAitEnnOwcv92cuPzcU",
          "name": "Name",
          "expiresAtTime": "2020-01-27T07:06:25Z"
        }
      ],
      "scheduledRouteEndTime": "2019-06-13T19:08:25Z",
      "scheduledRouteStartTime": "2019-06-13T19:08:25Z",
      "settings": {
        "routeCompletionCondition": "arriveLastStop",
        "routeStartingCondition": "departFirstStop",
        "sequencingMethod": "scheduledArrivalTime"
      },
      "stops": [
        {
          "id": "324231",
          "name": "Stop #1",
          "state": "scheduled",
          "actualArrivalTime": "2006-01-02T15:04:05+07:00",
          "actualDepartureTime": "2006-01-02T15:04:05+07:00",
          "actualDistanceMeters": 5450,
          "address": {
            "id": "494123",
            "name": "Company Office #1",
            "externalIds": {}
          },
          "documents": [
            {
              "id": "494123",
              "name": "Fuel Receipt Wichita"
            }
          ],
          "enRouteTime": "2006-01-02T15:04:05+07:00",
          "eta": "2006-01-02T15:04:05+07:00",
          "externalIds": {},
          "forms": [
            {
              "id": "41234"
            }
          ],
          "issues": [
            {
              "id": "32812"
            }
          ],
          "liveSharingUrl": "https://cloud.samsara.com/fleet/viewer/job/fleet_viewer_token",
          "locationLiveSharingLinks": [
            {
              "liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/gEAitEnnOwcv92cuPzcU",
              "name": "Name",
              "expiresAtTime": "2020-01-27T07:06:25Z"
            }
          ],
          "notes": "These are my notes",
          "ontimeWindowAfterArrivalMs": 300000,
          "ontimeWindowBeforeArrivalMs": 300000,
          "plannedDistanceMeters": 5200,
          "scheduledArrivalTime": "2019-06-13T19:08:25Z",
          "scheduledDepartureTime": "2019-06-13T19:08:25Z",
          "sequenceNumber": 10,
          "singleUseLocation": {
            "latitude": 123.456,
            "longitude": 37.459,
            "address": "1234 Main St, San Jose, CA",
            "radiusMeters": 100
          },
          "skippedTime": "2006-01-02T15:04:05+07:00"
        }
      ],
      "tagIds": [
        "123",
        "321"
      ],
      "vehicle": {
        "externalIds": {},
        "id": "494123",
        "name": "Fleet Truck #1"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

limit
integer
default:512

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

include
string[]

A comma-separated list of additional fields to include in the response. Valid values: stops.actualDistanceMeters

Response

OK response.

data
object[]
required

An array containing multiple routes.

pagination
object
required

Pagination parameters.